Renouveler Software vous recommande d'utiliser Zlib en conformité avec les règles de la propriété intellectuelle. Renouveler Software ne recommande pas l'utilisation de crack, serial, clé, keygen, crack, serial pour Zlib
Les catégories de programmes les plus populaires Développement / Active X
programme Autres sociétés ComponentSpot
|
|||||||
| |||||||
vue d'ensemble Zlib (traduction automatique)La version la plus récente de la compression zlib library, un libre de compression des données bibliothèque qui peut être utilisé sur tout type d'ordinateur et le système d'exploitation a été libéré par les auteurs Jean-Loup Gailly et Mark Adler. Contrôles d'intégrité sur les données non compressées sont effectuées en utilisant soit la somme de contrôle CRC-32, qui est plus fiable, ou l'ADLER 32 somme de contrôle, légèrement moins fiable, mais beaucoup plus rapidement. Les développeurs peuvent utiliser cette bibliothèque pour ajouter des fins générales basées sur un fichier et en mémoire la compression et la décompression fonctionnalités à leurs applications. Pour les opérations de mémoire, la zlib compressed data format (RFC 1950) est utilisée, qui est conçu pour être rapide et compact. Pour son algorithme de compression (la seule qu'il prend en charge), dégonflez (RFC 1951) est utilisée, en employant un LZ77 variante compression et codage Huffman. Frais généraux d'expansion est de cinq octets par 32 KO bloc, plus six octets pour le flux entier, ce qui est très petit par rapport à ce que le LZW méthode peut faire. Selon les auteurs, LZW peut doubler ou tripler tailles de fichier dans les cas extrêmes. Les auteurs affirment que les ratios de compression de zlib sont entre 2:1 et 5:1. Le format gzip, RFC 1952, est pris en charge. Toutefois, il prend uniquement en charge la compression de fichiers sur un système de fichiers : pas de opérations de mémoire. Le format gzip inclut les informations de répertoire de fichiers individuels. Encore une fois, le format utilise le dégonfler algorithme de compression. Il ne prend pas en charge les formats suivants/méthodes : PKZip 4.5 , BZip2, et Deflate64. |
Renouveler Software vous recommande d'utiliser Zlib en conformité avec les règles de la propriété intellectuelle. Renouveler Software ne recommande pas l'utilisation de crack, serial, clé, keygen, crack, serial pour Zlib
Les catégories de programmes les plus populaires Développement / Active X
|
programme Autres sociétés ComponentSpot
|